## rkward 0.6.5

=== rkward/misc/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

SET(misc_STAT_SRCS
   rkspinbox.cpp
   getfilenamewidget.cpp
   rkobjectlistview.cpp
   xmlhelper.cpp
   multistringselector.cpp
   rkcommonfunctions.cpp
   rkprogresscontrol.cpp
   rksaveobjectchooser.cpp
   rkdummypart.cpp
   rkjobsequence.cpp
   rkspecialactions.cpp
   rkstandardicons.cpp
   rkstandardactions.cpp
   rkxmlguisyncer.cpp
   rkcommandhistory.cpp
   rktableview.cpp
   celleditor.cpp
   editlabelsdialog.cpp
   editformatdialog.cpp
   rkmessagecatalog.cpp
   rkdbusapi.cpp
   rkfindbar.cpp
   rkdynamicsearchline.cpp
   rkaccordiontable.cpp
   rkxmlguipreviewarea.cpp
   )

QT4_AUTOMOC(${misc_STAT_SRCS})
# Urghs. QT4_AUTOMOC scans only the .h-file for Q_OBJECT macros. Let's hope this will be better with KF5
QT4_GENERATE_MOC (rkaccordiontable.cpp ${CMAKE_CURRENT_BINARY_DIR}/rkaccordiontablemodel_moc.cpp)
QT4_GENERATE_MOC (rkstandardactions.cpp ${CMAKE_CURRENT_BINARY_DIR}/rkstandardactions_moc.cpp)

ADD_LIBRARY(misc STATIC ${misc_STAT_SRCS})


########### install files ###############

INSTALL(FILES
	rkdummypart.rc
	DESTINATION ${DATA_INSTALL_DIR}/rkward)

=== rkward/settings/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

SET(settings_STAT_SRCS
   rksettings.cpp
   rksettingsmodule.cpp
   rksettingsmodulegeneral.cpp
   rksettingsmoduleoutput.cpp
   rksettingsmodulegraphics.cpp
   rksettingsmoduleplugins.cpp
   rksettingsmoduler.cpp
   rksettingsmodulewatch.cpp
   rksettingsmoduleobjectbrowser.cpp
   rksettingsmoduleconsole.cpp
   rksettingsmodulecommandeditor.cpp
   rksettingsmoduledebug.cpp
   )

QT4_AUTOMOC(${settings_STAT_SRCS})

IF (WIN32 OR USE_BINARY_PACKAGES)
	SET_PROPERTY (
		SOURCE rksettingsmoduler.cpp
		APPEND
		PROPERTY COMPILE_DEFINITIONS
		USE_BINARY_PACKAGES=1
	)
ENDIF (WIN32 OR USE_BINARY_PACKAGES)

ADD_LIBRARY(settings STATIC ${settings_STAT_SRCS})

=== rkward/rbackend/rpackages/rkward/DESCRIPTION ===
Package: rkward
Type: Package
Title: Provides functions related to the RKWard GUI
Author: Thomas Friedrichsmeier <thomas.friedrichsmeier@ruhr-uni-bochum.de> and
    the RKWard Team <rkward-devel@kde.org>
Maintainer: RKWard-devel mailing list <rkward-devel@kde.org>
Depends:
    R (>= 2.9.0),methods
Description: This package contains functions which are useful in combination
    with the RKWard GUI. Many of these functions only needed for the internal
    communication between RKWard and R, but some are also useful in user
    scripts.
License: GPL (>= 2)
Encoding: UTF-8
LazyLoad: yes
URL: http://rkward.kde.org
Authors@R: c(person(given="Thomas", family="Friedrichsmeier",
    email="thomas.friedrichsmeier@ruhr-uni-bochum.de", role=c("aut")),
    person(given="RKWard-devel", family="mailing list",
    email="rkward-devel@kde.org", role=c("cre","ctb")))
Version: 0.6.5
Date: 2016-03-24
Collate:
    'base_overrides.R'
    'internal.R'
    'internal_debugger.R'
    'internal_graphics.R'
    'internal_help.R'
    'public_graphics.R'
    'rk.KDE_GUI-functions.R'
    'rk.demo.R'
    'rk.edit-functions.R'
    'rk.filename-functions.R'
    'rk.label-functions.R'
    'rk.plugin-functions.R'
    'rk.print-functions.R'
    'rk.replace.function.R'
    'rk.sessionInfo.R'
    'rk.sync-functions.R'
    'rk.utility-functions.R'
    'rk.workspace-functions.R'
    'rkward-package.R'
    'ver.R'
RoxygenNote: 5.0.1

=== debian/changelog ===
rkward (0.6.5-1) unstable; urgency=low
  * new upstream release
    (unchanged with respect to ~rc1)
  * fix debian/watch file
  * always use build-time version of r-base-core as runtime dependency, even
    if most builds would actually be backwards compatible
  * switch to dh-based rules file. This also fixes missing separation between
    arch-dependent and arch-independent build targets
  * Make build really reproducible (fix for earlier attempt upstream)
    closes: #783290

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Mon, 04 Apr 2016 11:00:00 +0100

rkward (0.6.5~rc1-1) unstable; urgency=low
  * new upstream release
  * split architecture independent files into new rkward-data package
  * bump standards version to 3.9.7 (no changes needed)
  * strip testing locale "x-test" from package
  * add override for false-positive source-contains-prebuilt-javascript-object
    lintian warnings
  * make existing lintian overrides work with lintian 2.5.42
  * Adjust copyright file to changed filenames in rkward/qwinhost

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Tue, 29 Mar 2016 11:00:00 +0100

=== debian/control ===
Source: rkward
Section: math
Priority: optional
Maintainer: Thomas Friedrichsmeier <tfry@users.sourceforge.net>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               kdelibs5-dev,
               libx11-dev,
               r-base-dev (>= 3.0.0)
Standards-Version: 3.9.7
Homepage: http://rkward.kde.org
Vcs-Browser: http://quickgit.kde.org/?p=rkward.git&a=tree&f=debian-official
Vcs-Git: git://anongit.kde.org/rkward.git

Package: rkward
Architecture: any
Depends: rkward-data, ${misc:Depends}, ${rvers}, ${shlibs:Depends}
Recommends: r-base-html
Description: KDE frontend to the R statistics language
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.

Package: rkward-data
Architecture: all
Depends: ${misc:Depends}
Recommends: rkward
Breaks: rkward (<< 0.6.5~rc1-1~)
Replaces: rkward (<< 0.6.5~rc1-1~)
Description: KDE frontend to the R statistics language
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.
 .
 This package provides the architecture independent data files for rkward.

=== debian/rules ===
#!/usr/bin/make -f

#we need to know the R version
RVERS = $(shell dpkg-query -W --showformat='$${Version}' r-base-core)
RMAJOR = $(shell echo $(RVERS) | awk -F. '{print $$1}')
RMINOR = $(shell echo $(RVERS) | awk -F. '{print $$2}')

# set built-time of GNUR packages to time of created binary package based on stamp in changelog
builttime = $(shell dpkg-parsechangelog -l$(CURDIR)/debian/changelog | awk -F': ' '/Date/ {print $$2}')

# easier typing
DESTDIR = $(CURDIR)/debian/tmp
BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

override_dh_auto_configure:
	mkdir -p $(BUILDDIR)
	# Some installations of R need a specific version of the compiler(s)
	# R CMD config provides info on which compiler to use
	cd $(BUILDDIR) && \
	CC="`/usr/bin/R CMD config CC`" \
	CXX="`/usr/bin/R CMD config CXX`" \
	F77="`/usr/bin/R CMD config F77`" \
	cmake ../.. \
		-DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` \
		-DDATA_INSTALL_DIR=`kde4-config --install data` \
		-DHTML_INSTALL_DIR=`kde4-config --install html` \
		-DKCFG_INSTALL_DIR=`kde4-config --install kcfg` \
		-DINFO_INSTALL_DIR=/usr/share/info \
		-DMAN_INSTALL_DIR=/usr/share/man \
		-DKDE_DEFAULT_HOME=`kde4-config --localprefix` \
		-DCMAKE_SKIP_RPATH=true \
		-DKDE4_USE_ALWAYS_FULL_RPATH=false \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
		-DCMAKE_C_FLAGS="$(CFLAGS)" \
		-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
		-DCMAKE_MODULE_LINKER_FLAGS="$(LDFLAGS)" \
		-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DKDE4_DISABLE_MULTIMEDIA=ON \
		-DR_EXECUTABLE=/usr/bin/R/ \
		-DR_LIBDIR=/usr/lib/R/site-library/ \
		-DBUILD_TIMESTAMP="$(builttime)"

override_dh_auto_install:
	dh_auto_install

	# dirty hack to get rid of conflicting r.xml file without adjusting all makefiles
	rm -vf $(DESTDIR)/`kde4-config --install data`/katepart/syntax/r.xml
	# remove unneeded R package files
	rm -vf $(DESTDIR)/usr/lib/R/site-library/R.css $(DESTDIR)/usr/lib/R/site-library/rkward/COPYING
	# remove x-test locale
	rm -rvf $(DESTDIR)/usr/share/kde4/apps/rkward/po/x-test $(DESTDIR)/usr/share/locale/x-test

override_dh_compress:
	# do not compress KDE HTML help
	dh_compress -Xusr/share/doc/kde/HTML

override_dh_shlibdeps:
	dh_shlibdeps
	# unfortunately, the r-base-core dependency can not be found by dh_shlibdeps, so we need to get at the version manually
	# NOTE: This "if" is currently always true (see build-deps), but left here, for convenience, in case we get into trouble
	# with binary incompatibility (esp. foward incompatibility) again, in the future.
	@if [ "$(RMAJOR)" -eq "3" ] && [ "$(RMINOR)" -ge "0" ] ; then \
		echo "rvers=r-base-core (>= $(RVERS))" >> $(CURDIR)/debian/rkward.substvars ; \
	fi

=== debian/watch ===
version=3
http://download.kde.org/stable/rkward/([\d.]+)/src/rkward-([\d.]+)\.tar\.gz

## rkward 0.7.0

=== CMakeLists.txt ===
PROJECT(rkward)

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12)	# As required by KF5
IF(NOT "${CMAKE_VERSION}" VERSION_LESS 3.3.0)
	CMAKE_POLICY(SET CMP0063 OLD)  # No symbol visibility in any of our static libraries needed
ENDIF()

IF(NOT CMAKE_VERBOSE_MAKEFILE)
	SET (FORCE_PRETTY_MAKEFILE ON)
ENDIF(NOT CMAKE_VERBOSE_MAKEFILE)

FIND_PACKAGE(ECM 0.0.11 REQUIRED NO_MODULE)

SET(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

INCLUDE(KDEInstallDirs)
INCLUDE(KDECMakeSettings)
INCLUDE(KDECompilerSettings)
INCLUDE(ECMInstallIcons)
INCLUDE(ECMAddAppIcon)
INCLUDE(ECMMarkNonGuiExecutable)
INCLUDE(FeatureSummary)

FIND_PACKAGE(Qt5 5.2 CONFIG REQUIRED COMPONENTS Widgets Core Xml Network WebKitWidgets Script PrintSupport)
FIND_PACKAGE(KF5 5.2 REQUIRED COMPONENTS CoreAddons DocTools I18n XmlGui TextEditor WidgetsAddons WebKit Parts Config Notifications WindowSystem OPTIONAL_COMPONENTS Crash)
FIND_PACKAGE(Gettext REQUIRED)

# FindIntl in cmake is broken for MSVC on Windows, (and only included from 3.2.3 upwards).
# Borrowing some code from ki18n instead (originally BSD licensed, copyright Copyright 2014 Alex Richardson <arichardson.kde@gmail.com>)
FIND_PATH(LibIntl_INCLUDE_DIRS NAMES libintl.h)
FIND_LIBRARY(LibIntl_LIBRARIES NAMES intl libintl)
INCLUDE(CheckCXXSymbolExists)
CHECK_CXX_SYMBOL_EXISTS(dngettext libintl.h LibIntl_SYMBOL_FOUND)
INCLUDE(FindPackageHandleStandardArgs)
IF(LibIntl_SYMBOL_FOUND)
    MESSAGE(STATUS "libintl is part of libc, no extra library is required.")
    SET(LibIntl_LIBRARIES "")
    FIND_PACKAGE_HANDLE_STANDARD_ARGS(LibIntl REQUIRED_VARS LibIntl_INCLUDE_DIRS)
ELSE()
    MESSAGE(STATUS "libintl is a separate library.")
    FIND_PACKAGE_HANDLE_STANDARD_ARGS(LibIntl REQUIRED_VARS LibIntl_INCLUDE_DIRS LibIntl_LIBRARIES)
ENDIF()

IF(FORCE_PRETTY_MAKEFILE)
	SET(CMAKE_VERBOSE_MAKEFILE OFF)
ENDIF(FORCE_PRETTY_MAKEFILE)

ADD_DEFINITIONS(${QT_DEFINITIONS} -DQT_NO_CAST_TO_ASCII)
ADD_DEFINITIONS(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
ADD_DEFINITIONS(-DQT_NO_URL_CAST_FROM_STRING)

#uncomment the line below to save ~250-350kB in object size
#ADD_DEFINITIONS(-DRKWARD_NO_TRACE)

ADD_SUBDIRECTORY(rkward)
ADD_SUBDIRECTORY(i18n)
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(tests)

FEATURE_SUMMARY(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== i18n/CMakeLists.txt ===
MACRO(RKHandlePO _PO_FILES)
	FOREACH(_poFile ${_PO_FILES})
		GET_FILENAME_COMPONENT(_fullPoName ${_poFile} NAME)
		STRING(REPLACE "." ";" _nameParts ${_fullPoName})
		LIST(LENGTH _nameParts _namePartsCount)
		LIST(GET _nameParts 0 _poid)
		LIST(GET _nameParts 1 _lang) # Remainder of _nameParts should be "po"
		# This can be used to allow temporary exceptions to our "translations must be at least 80% complete, as else, they are probably in bad shape"-rule.
		# NOTE: Could also be set only for specific ${_poid}s (e.g. recently added po files)
		# SET(ACCEPT_INCOMPLETE_PO "-DACCEPT_INCOMPLETE_PO=1")

		SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_poid}.${_lang}.gmo)

		# making the gmo be re-built, when the po changes, but not every time is surprsingly difficult
		# (since the gmo file is only built for translations which are complete enough)
		SET(_stampFile ${CMAKE_CURRENT_BINARY_DIR}/${_poid}.${_lang}.stamp)
		ADD_CUSTOM_COMMAND(OUTPUT ${_stampFile}
			COMMAND ${CMAKE_COMMAND} "-D_poFile=${_poFile}" "-D_gmoFile=${_gmoFile}" "-DGETTEXT_MSGFMT_EXECUTABLE=${GETTEXT_MSGFMT_EXECUTABLE}" ${ACCEPT_INCOMPLETE_PO} -P ${CMAKE_CURRENT_SOURCE_DIR}/compile_po.cmake
			COMMAND ${CMAKE_COMMAND} -E touch ${_stampFile}
			COMMENT "Generating translation for language '${_lang}', catalog '${_poid}'"
			DEPENDS ${_poFile})
		LIST(APPEND active_translations ${_stampFile})

		IF(EXISTS "${_gmoFile}")
			IF(${_poid} STREQUAL "rkward")
				INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME rkward.mo OPTIONAL)
			ELSE(${_poid} STREQUAL "rkward")
				INSTALL(FILES ${_gmoFile} DESTINATION ${DATA_INSTALL_DIR}/rkward/po/${_lang}/LC_MESSAGES/ RENAME ${_poid}.mo OPTIONAL)
			ENDIF(${_poid} STREQUAL "rkward")
		ENDIF(EXISTS "${_gmoFile}")
	ENDFOREACH(_poFile ${_PO_FILES})
ENDMACRO(RKHandlePO)


FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
	IF(NOT TRANSLATION_SRC_DIR)
		SET(TRANSLATION_SRC_DIR "${CMAKE_CURRENT_SOURCE_DIR}/po/")
	ENDIF(NOT TRANSLATION_SRC_DIR)
	FILE(GLOB PO_FILES "${TRANSLATION_SRC_DIR}/*.po")
	RKHandlePO("${PO_FILES}")
	ADD_CUSTOM_TARGET(translations ALL DEPENDS ${active_translations})
	IF(NOT PO_FILES)
		MESSAGE(WARNING
"------
        No translations found at ${TRANSLATION_SRC_DIR}.

${TRANSLATION_SRC_DIR} was not found. This probably means that you are building from the development repository, and have not fetched translations. This is ok, if you want to run RKWard in English, only. Otherwise, to fetch translations, either
   scripts/import_translations.py XX
where (XX is your language code, such as \"de\"; optionally specify several codes separated by spaces). In some cases (esp., if you want to build all existing translations), it is much faster to use:
   git clone git://anongit.kde.org/scratch/tfry/rkward-po-export i18n/po
Should you have installed translations to a non-standard directory, you can specify that using
   cmake [...] -DTRANSLATION_SRC_DIR=/x/y/z
------")
	ENDIF(NOT PO_FILES)
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== tests/CMakeLists.txt ===
ADD_CUSTOM_TARGET (plugintests
	COMMAND ${CMAKE_CURRENT_BINARY_DIR}/../rkward/rkward --evaluate "source\\(\\\"all_tests.R\\\"\\)"
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

# This will hopefully run *after* everything is installed
INSTALL(CODE "MESSAGE(STATUS \"\n--------------------\nInstallation appears to be complete (unfortunately it is hard to tell in CMake).\nIn case of errors, please make sure to consult the file 'INSTALL'.\n--------------------\")")

=== rkward/agents/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}    )


########### next target ###############

SET(agents_STAT_SRCS
   rkdebughandler.cpp
   rkeditobjectagent.cpp
   rkloadagent.cpp
   rkprintagent.cpp
   rkquitagent.cpp
   rksaveagent.cpp
   showedittextfileagent.cpp
   )

ADD_LIBRARY(agents STATIC ${agents_STAT_SRCS})
TARGET_LINK_LIBRARIES(agents Qt5::Widgets KF5::TextEditor)

=== rkward/core/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}    )

SET(core_STAT_SRCS
   rkvariable.cpp
   robjectlist.cpp
   robject.cpp
   rcontainerobject.cpp
   rkmodificationtracker.cpp
   rfunctionobject.cpp
   renvironmentobject.cpp
   rkrownames.cpp
   rkpseudoobjects.cpp
   )

ADD_LIBRARY(core STATIC ${core_STAT_SRCS})
TARGET_LINK_LIBRARIES(core Qt5::Core Qt5::Widgets KF5::WidgetsAddons KF5::I18n KF5::Parts)

=== rkward/misc/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${LibIntl_INCLUDE_DIRS} )

SET(misc_STAT_SRCS
   rkspinbox.cpp
   getfilenamewidget.cpp
   rkobjectlistview.cpp
   xmlhelper.cpp
   multistringselector.cpp
   rkcommonfunctions.cpp
   rkprogresscontrol.cpp
   rksaveobjectchooser.cpp
   rkdummypart.cpp
   rkjobsequence.cpp
   rkspecialactions.cpp
   rkstandardicons.cpp
   rkstandardactions.cpp
   rkxmlguisyncer.cpp
   rkcommandhistory.cpp
   rktableview.cpp
   celleditor.cpp
   editlabelsdialog.cpp
   editformatdialog.cpp
   rkmessagecatalog.cpp
   rkdbusapi.cpp
   rkfindbar.cpp
   rkdynamicsearchline.cpp
   rkaccordiontable.cpp
   rkxmlguipreviewarea.cpp
   rkdialogbuttonbox.cpp
   )

ADD_LIBRARY(misc STATIC ${misc_STAT_SRCS})
TARGET_LINK_LIBRARIES(misc Qt5::Widgets KF5::WidgetsAddons KF5::KIOWidgets Qt5::Xml KF5::ConfigCore KF5::Parts KF5::WindowSystem KF5::TextEditor)

########### install files ###############

INSTALL(FILES
	rkdummypart.rc
	DESTINATION ${KXMLGUI_INSTALL_DIR}/rkward)

=== rkward/plugin/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}    )


########### next target ###############

SET(plugin_STAT_SRCS
   rkcomponentmap.cpp
   rkcomponentmeta.cpp
   rkcomponentproperties.cpp
   rkcomponent.cpp
   rkstandardcomponent.cpp
   rkvarselector.cpp
   rkvarslot.cpp
   rkformula.cpp
   rkradio.cpp
   rkcheckbox.cpp
   rkpluginspinbox.cpp
   rkinput.cpp
   rkpluginbrowser.cpp
   rktext.cpp
   rktabpage.cpp
   rkstandardcomponentgui.cpp
   rkdropdown.cpp
   rkcomponentcontext.cpp
   rkpreviewbox.cpp
   rkpluginsaveobject.cpp
   rkabstractoptionselector.cpp
   rkpluginframe.cpp
   rkoptionset.cpp
   rkmatrixinput.cpp
   rkvalueselector.cpp
   )

ADD_LIBRARY(plugin STATIC ${plugin_STAT_SRCS})
TARGET_LINK_LIBRARIES(plugin Qt5::Widgets Qt5::Script KF5::TextEditor KF5::WindowSystem)

=== rkward/settings/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )
+INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}    )
 
 
 ########### next target ###############
@@ -18,8 +18,6 @@
    rksettingsmoduledebug.cpp
    )
 
-QT4_AUTOMOC(${settings_STAT_SRCS})
-
 IF (WIN32 OR USE_BINARY_PACKAGES)
 	SET_PROPERTY (
 		SOURCE rksettingsmoduler.cpp
@@ -30,3 +28,4 @@
 ENDIF (WIN32 OR USE_BINARY_PACKAGES)
 
 ADD_LIBRARY(settings STATIC ${settings_STAT_SRCS})
+TARGET_LINK_LIBRARIES(settings Qt5::Widgets KF5::WidgetsAddons Qt5::Xml KF5::ConfigCore KF5::Parts)

=== rkward/windows/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}  )

########### next target ###############

SET(windows_STAT_SRCS
	rkcommandeditorwindow.cpp
	rkdebugconsole.cpp
	rkcallstackviewer.cpp
	rkhtmlwindow.cpp
	rcontrolwindow.cpp
	detachedwindowcontainer.cpp
	rkmdiwindow.cpp
	rkworkplaceview.cpp
	rkworkplace.cpp
	rkwindowcatcher.cpp
	rkcommandlog.cpp
	rkhelpsearchwindow.cpp
	rktoplevelwindowgui.cpp
	rkfilebrowser.cpp
	rktoolwindowbar.cpp
	rktoolwindowlist.cpp
	robjectbrowser.cpp
	rkdebugmessagewindow.cpp
)

ADD_LIBRARY(windows STATIC ${windows_STAT_SRCS})
TARGET_LINK_LIBRARIES(windows Qt5::Widgets Qt5::Xml Qt5::PrintSupport Qt5::WebKitWidgets KF5::TextEditor KF5::WebKit KF5::Notifications KF5::WindowSystem KF5::KIOFileWidgets)

########### install files ###############

INSTALL(FILES
	rkcommandeditorwindowpart.rc
	rkoutputwindow.rc
	rkhelpwindow.rc
	detachedwindowcontainer.rc
	rkcatchedx11windowpart.rc
	rkcommandlogpart.rc
	rktoplevelwindowgui.rc
	rkstandardactions.rc
	DESTINATION ${KXMLGUI_INSTALL_DIR}/rkward)

=== rkward/rbackend/rpackages/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}    )

CONFIGURE_FILE(
	"${CMAKE_CURRENT_SOURCE_DIR}/rpackage_install.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/rpackage_install.cmake"
	@ONLY)

INSTALL(SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/rpackage_install.cmake -DDESTDIR=${DESTDIR} -DBUILD_TIMESTAMP=${BUILD_TIMESTAMP})

=== rkward/rbackend/rpackages/rkward/DESCRIPTION ===
--- 
+++ 
@@ -18,8 +18,8 @@
     email="thomas.friedrichsmeier@ruhr-uni-bochum.de", role=c("aut")),
     person(given="RKWard-devel", family="mailing list",
     email="rkward-devel@kde.org", role=c("cre","ctb")))
-Version: 0.6.5
-Date: 2016-03-24
+Version: 0.7.0
+Date: 2018-04-13
 Collate:
     'base_overrides.R'
     'internal.R'

=== debian/changelog ===
rkward (0.7.0-1) unstable; urgency=low
  * New upstream release
  * The divergently licenced qwinhost-files are no longer part of this release,
    simplifying copyright
  * Package now based on kf5-libraries, instead of KDE 4
    closes: #531086
  * Add dependency on r-api-3.4 to ease handling of future non-compatible
    changes in R
    closes: #877283
  * Use dh_auto_configure for basic setup
  * Remove debian/rkward.menu, as package provides a FreeDesktop entry
  * Update VCS-browser, watch, and some other urls
  * Update standards version to 4.1.4
  * Add lintian overrides for r-data-without-readme-source and
    desktop-command-not-in-package
  * Make rkward binary package depend on identical version rkward-data package
  * Increase debhelper compat level to 11
  * Use SOURCE_DATE_EPOCH for build timestamp, instead of parsing changelog

 -- Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>  Sat, 14 Apr 2018 13:00:00 +0100

=== debian/control ===
Source: rkward
Section: math
Priority: optional
Maintainer: Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
Build-Depends: cmake,
               extra-cmake-modules,
               pkg-kde-tools | pkg-kf5-tools,
               debhelper (>= 11.0.0),
               libkf5webkit-dev,
               libkf5texteditor-dev,
               kdoctools-dev,
               r-base-dev (>= 3.0.0)
Standards-Version: 4.1.4
Homepage: http://rkward.kde.org
Vcs-Browser: https://cgit.kde.org/rkward.git/tree/debian-official
Vcs-Git: https://anongit.kde.org/rkward.git

Package: rkward
Architecture: any
Depends: rkward-data (= ${source:Version}), ${misc:Depends}, ${rvers}, ${rapivers}, ${shlibs:Depends}
Recommends: r-base-html
Description: KDE frontend to the R statistics language
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.

Package: rkward-data
Architecture: all
Depends: ${misc:Depends}
Recommends: rkward
Breaks: rkward (<< 0.6.5~rc1-1~)
Replaces: rkward (<< 0.6.5~rc1-1~)
Description: KDE frontend to the R statistics language - data files
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.
 .
 This package provides the architecture independent data files for rkward.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

#we need to know the R version
RVERS = $(shell dpkg-query -W --showformat='$${Version}' r-base-core)
RMAJOR = $(shell echo $(RVERS) | awk -F. '{print $$1}')
RMINOR = $(shell echo $(RVERS) | awk -F. '{print $$2}')

# Workaround for cmake not handling CPPFLAGS (https://wiki.debian.org/HardeningWalkthrough):
# As we cannot easily use dh for configuring, we have to merge flags, manually.
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

# easier typing
DESTDIR = $(CURDIR)/debian/tmp
BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

override_dh_auto_configure:
	mkdir -p $(BUILDDIR)
	# Some installations of R need a specific version of the compiler(s)
	# R CMD config provides info on which compiler to use
	CC="`/usr/bin/R CMD config CC`" \
	CXX="`/usr/bin/R CMD config CXX`" \
	F77="`/usr/bin/R CMD config F77`" \
	dh_auto_configure '--buildsystem=kf5' --parallel -- \
		-DR_EXECUTABLE=/usr/bin/R/ \
		-DR_LIBDIR=/usr/lib/R/site-library/ \
		-DCMAKE_SKIP_RPATH=YES \
		-DBUILD_TIMESTAMP="$(shell date --utc --date='@$(SOURCE_DATE_EPOCH)')"

override_dh_auto_install:
	dh_auto_install

	# dirty hack to get rid of conflicting r.xml file without adjusting all makefiles
	rm -vf $(DESTDIR)/usr/share/katepart/syntax/r.xml
	# remove unneeded R package files
	rm -vf $(DESTDIR)/usr/lib/R/site-library/R.css $(DESTDIR)/usr/lib/R/site-library/rkward/COPYING
	# remove x-test locale
	rm -rvf $(DESTDIR)/usr/share/rkward/po/x-test $(DESTDIR)/usr/share/locale/x-test

override_dh_compress:
	# do not compress KDE HTML help
	dh_compress -Xusr/share/doc/kde/HTML

override_dh_shlibdeps:
	dh_shlibdeps
	# unfortunately, the r-base-core dependency can not be found by dh_shlibdeps, so we need to get at the version manually
	# NOTE: This "if" is currently always true (see build-deps), but left here, for convenience, in case we get into trouble
	# with binary incompatibility (esp. foward incompatibility) again, in the future.
	@if [ "$(RMAJOR)" -eq "3" ] && [ "$(RMINOR)" -ge "0" ] ; then \
		echo "rvers=r-base-core (>= $(RVERS))" >> $(CURDIR)/debian/rkward.substvars ; \
		echo "rapivers=r-api-3.4" >> $(CURDIR)/debian/rkward.substvars ; \
	fi

## rkward 0.7.0b

=== i18n/CMakeLists.txt ===
--- 
+++ 
@@ -21,13 +21,11 @@
 			DEPENDS ${_poFile})
 		LIST(APPEND active_translations ${_stampFile})
 
-		IF(EXISTS "${_gmoFile}")
-			IF(${_poid} STREQUAL "rkward")
-				INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME rkward.mo OPTIONAL)
-			ELSE(${_poid} STREQUAL "rkward")
-				INSTALL(FILES ${_gmoFile} DESTINATION ${DATA_INSTALL_DIR}/rkward/po/${_lang}/LC_MESSAGES/ RENAME ${_poid}.mo OPTIONAL)
-			ENDIF(${_poid} STREQUAL "rkward")
-		ENDIF(EXISTS "${_gmoFile}")
+		IF(${_poid} STREQUAL "rkward")
+			INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME rkward.mo OPTIONAL)
+		ELSE(${_poid} STREQUAL "rkward")
+			INSTALL(FILES ${_gmoFile} DESTINATION ${DATA_INSTALL_DIR}/rkward/po/${_lang}/LC_MESSAGES/ RENAME ${_poid}.mo OPTIONAL)
+		ENDIF(${_poid} STREQUAL "rkward")
 	ENDFOREACH(_poFile ${_PO_FILES})
 ENDMACRO(RKHandlePO)

=== rkward/CMakeLists.txt ===
IF(NOT ${PROJECT_NAME} STREQUAL "rkward")
	MESSAGE (FATAL_ERROR "Build triggered from wrong subdirectory. Please point cmake to the parent of this directory, instead.")
ENDIF(NOT ${PROJECT_NAME} STREQUAL "rkward")

INCLUDE(SetVersionNumber.cmake)

IF(APPLE)
    SET(CPACK_BUNDLE_ICON rkward.icns)
    SET(CPACK_BUNDLE_NAME RKWard)
    SET(CPACK_BUNDLE_STARTUP_COMMAND rkward)
ENDIF()

# once tested and working this could become the default on Mac:
OPTION(APPLE_STANDALONE_BUNDLE "Generate a standalone app bundle when building on Mac" OFF)
ADD_FEATURE_INFO("App Bundle" APPLE_STANDALONE_BUNDLE "Generate a standalone app bundle when building on Mac. Do not use for now.")

ADD_SUBDIRECTORY( dataeditor )
ADD_SUBDIRECTORY( settings )
ADD_SUBDIRECTORY( plugin )
ADD_SUBDIRECTORY( agents )
ADD_SUBDIRECTORY( rbackend )
ADD_SUBDIRECTORY( dialogs )
ADD_SUBDIRECTORY( scriptbackends )
ADD_SUBDIRECTORY( misc )
ADD_SUBDIRECTORY( core )
ADD_SUBDIRECTORY( icons )
ADD_SUBDIRECTORY( windows )
ADD_SUBDIRECTORY( syntax )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}   ${QT_QTWEBKIT_INCLUDE_DIR} )

SET(RKWard_Sources
	rkward.cpp
	main.cpp
	rkglobals.cpp
	robjectviewer.cpp
	rkconsole.cpp
)

# somehow the detected R paths from FindR.cmake do not get passed down automatically
GET_DIRECTORY_PROPERTY(R_EXECUTABLE DIRECTORY rbackend DEFINITION R_EXECUTABLE)
GET_DIRECTORY_PROPERTY(R_SHAREDLIBDIR DIRECTORY rbackend LINK_DIRECTORIES)
LINK_DIRECTORIES(${R_SHAREDLIBDIR})

IF(APPLE)
    # create the application icon from the available sources. This should work on MS Windows
    # too but I don't want to start modifying things I cannot test.
    FILE(GLOB ICON_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/app-icon/*-apps-rkward.png") 
    # recent ECM versions will prefer the scalable version: prepend it to the icon source list:
    ECM_ADD_APP_ICON(RKWard_Sources ICONS ${CMAKE_CURRENT_SOURCE_DIR}/icons/app-icon/sc-apps-rkward.svgz ${ICON_SRCS})
    ADD_EXECUTABLE(rkward ${RKWard_Sources})
ELSE()
    ADD_CUSTOM_COMMAND (OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/rkward.ico"
			COMMAND cmake -E copy "${CMAKE_CURRENT_SOURCE_DIR}/icons/app-icon/rkward.ico"
			"${CMAKE_CURRENT_BINARY_DIR}/rkward.ico")
    ADD_EXECUTABLE(rkward ${RKWard_Sources} rkward_windows_icon.rc rkward.ico)
ENDIF()

# NOTE: These definitions are needed for the startup procedure (main.cpp), only.
# We should switch with to target_compile_definitions once we require CMAKE 2.6+
ADD_DEFINITIONS(-DR_EXECUTABLE="${R_EXECUTABLE}")
ADD_DEFINITIONS(-DINSTALL_PATH="${CMAKE_INSTALL_PREFIX}")
ADD_DEFINITIONS(-DR_LIBS="${R_LIBDIR}")
SET_TARGET_PROPERTIES(rkward PROPERTIES
        MACOSX_BUNDLE_BUNDLE_NAME "RKWard")

IF(APPLE)
	SET(RKWARD_INFOPLIST_TEMPLATE Info.plist.in)
	SET(RKWARD_INFOPLIST_FILE ${CMAKE_SOURCE_DIR}/rkward/Info.plist)
	CONFIGURE_FILE(
		${RKWARD_INFOPLIST_TEMPLATE}
		${RKWARD_INFOPLIST_FILE}
		@ONLY)
ENDIF(APPLE)

TARGET_LINK_LIBRARIES(rkward windows ${RKWARD_ADDLIBS} agents dialogs plugin settings dataeditor core scriptbackends rbackend misc KF5::WindowSystem Qt5::Widgets KF5::XmlGui ${LibIntl_LIBRARIES})
IF(KF5Crash_FOUND)
	TARGET_LINK_LIBRARIES(rkward KF5::Crash)
	SET_SOURCE_FILES_PROPERTIES(main.cpp PROPERTIES COMPILE_DEFINITIONS WITH_KCRASH=1)
ENDIF(KF5Crash_FOUND)

########### install files ###############

INSTALL(DIRECTORY plugins/ pages DESTINATION ${DATA_INSTALL_DIR}/rkward
	PATTERN .svn EXCLUDE)

INSTALL(FILES rkwardui.rc rkconsolepart.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/rkward)
INSTALL(FILES resource.ver DESTINATION ${DATA_INSTALL_DIR}/rkward)

IF(APPLE)
    INSTALL(TARGETS rkward DESTINATION ${BUNDLE_INSTALL_DIR})
    if(APPLE_STANDALONE_BUNDLE)
#         INSTALL(FILES ${CMAKE_SOURCE_DIR}/rkward/icons/app-icon/rkward.icns DESTINATION ${BUNDLE_INSTALL_DIR}/${CPACK_BUNDLE_NAME}.app/Contents/Resources)
#         INSTALL(FILES ${RKWARD_INFOPLIST_FILE} DESTINATION ${BUNDLE_INSTALL_DIR}/${CPACK_BUNDLE_NAME}.app/Contents)
    ENDIF()
    # the MacOSX bundle display name property (CFBundleDisplayName) is not currently supported by cmake,
    # so has to be set for all targets in this cmake file
    SET(MACOSX_BUNDLE_DISPLAY_NAME RKWard)
    # We provide our own Info.plist, but for the wrapper only
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${RKWARD_INFOPLIST_FILE})
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.RKWard")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "RKWard")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_DISPLAY_NAME "RKWard")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_INFO_STRING "Frontend to the R statistics language")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING "RKWard ${RKVERSION_NUMBER}")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING "${RKVERSION_NUMBER}")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION "${RKVERSION_NUMBER}")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_COPYRIGHT "RKWard Team")
ELSE()
    INSTALL(TARGETS rkward DESTINATION ${BIN_INSTALL_DIR})
ENDIF()

INSTALL(FILES org.kde.rkward.desktop org.kde.rkward-open.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
INSTALL(FILES vnd.rkward.r.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
INSTALL(FILES rkward.protocol DESTINATION ${SERVICES_INSTALL_DIR})

=== doc/rkwardplugins/CMakeLists.txt ===
# NOTE: kdoctools_create_handbook does not support multiple docbooks inside one directory. That's why this is separate.
# KF5 TODO: Is the above still true?
kdoctools_create_handbook (index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR rkwardplugins)

ADD_CUSTOM_TARGET (webdocs
	COMMAND meinproc4 --stylesheet ${DATA_INSTALL_DIR}/ksgmltools2/customization/kde-web.xsl ${CMAKE_CURRENT_SOURCE_DIR}/index.docbook
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

=== rkward/dataeditor/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}    )


########### next target ###############

SET(dataeditor_STAT_SRCS
   twintable.cpp
   twintablemember.cpp
   rkeditor.cpp
   rkeditordataframe.cpp
   rkvareditmodel.cpp
   rktextmatrix.cpp
   )

ADD_LIBRARY(dataeditor STATIC ${dataeditor_STAT_SRCS})
TARGET_LINK_LIBRARIES(dataeditor Qt5::Widgets KF5::WidgetsAddons KF5::Parts)

########### install files ###############

INSTALL(FILES   rkeditordataframepart.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/rkward )

=== rkward/dialogs/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}    )

SET(dialogs_STAT_SRCS
   startupdialog.cpp
   rkloadlibsdialog.cpp
   rkreadlinedialog.cpp
   rkimportdialog.cpp
   rkselectlistdialog.cpp
   rkrecoverdialog.cpp
   rkerrordialog.cpp
   )

ADD_LIBRARY(dialogs STATIC ${dialogs_STAT_SRCS})
TARGET_LINK_LIBRARIES(dialogs Qt5::Widgets KF5::Parts KF5::ConfigWidgets)

=== rkward/rbackend/CMakeLists.txt ===
INCLUDE(FindR.cmake)
IF(NOT WIN32)
	# for pthread_at_fork
	FIND_PACKAGE(Threads)
ENDIF(NOT WIN32)

ADD_SUBDIRECTORY( rpackages )
ADD_SUBDIRECTORY( rkwarddevice )

INCLUDE_DIRECTORIES( ${R_INCLUDEDIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${LibIntl_INCLUDE_DIRS} )

SET (
	rbackend_shared_SRCS
	rkrbackendprotocol_shared.cpp
	rdata.cpp
)

SET (
	rbackend_backend_SRCS
	rkrbackend.cpp
	rksignalsupport.cpp
	rkrsupport.cpp
	rkstructuregetter.cpp
	rkrbackendprotocol_backend.cpp
	rkreventloop.cpp
)

SET (
	rbackend_frontend_SRCS
	rkrinterface.cpp
	rcommand.cpp
	rcommandreceiver.cpp
	rcommandstack.cpp
	rkrbackendprotocol_frontend.cpp
	rksessionvars.cpp
)

SET (
	rbackend_FRONTEND_SRCS
	${rbackend_frontend_SRCS}
	${rbackend_shared_SRCS}
	rkfrontendtransmitter.cpp
	rktransmitter.cpp
)
ADD_LIBRARY(rbackend STATIC ${rbackend_FRONTEND_SRCS})
TARGET_LINK_LIBRARIES(rbackend rkgraphicsdevice.frontend Qt5::Widgets KF5::TextEditor KF5::WebKit KF5::WindowSystem)

SET (
	rbackend_BACKEND_SRCS
	${rbackend_backend_SRCS}
	${rbackend_shared_SRCS}
	rkbackendtransmitter.cpp
	rktransmitter.cpp
)
ADD_DEFINITIONS (-DRKWARD_SPLIT_PROCESS)
ADD_DEFINITIONS (-DRKWARD_BACKEND_PATH="${KDE_INSTALL_FULL_LIBEXECDIR}")
LINK_DIRECTORIES(${R_SHAREDLIBDIR})
ADD_EXECUTABLE(rkward.rbackend ${rbackend_BACKEND_SRCS})
ECM_MARK_NONGUI_EXECUTABLE(rkward.rbackend)
TARGET_LINK_LIBRARIES(rkward.rbackend rkgraphicsdevice.backend ${R_USED_LIBS} ${CMAKE_THREAD_LIBS_INIT} Qt5::Network Qt5::Core ${LibIntl_LIBRARIES})
IF(APPLE)
    TARGET_LINK_LIBRARIES(rkward.rbackend "-framework CoreFoundation")
ENDIF()

IF(WIN32)
	# on Widows, we install to the rbackend subdirectory, because 1) LIBEXEC_INSTALL_DIR == BIN_INSTALL_DIR and 2) we don't want the backend to pick up
	# all the KDE library versions, first, when loading DLLs
	INSTALL(TARGETS rkward.rbackend DESTINATION ${BIN_INSTALL_DIR}/rbackend)
ELSE(WIN32)
	INSTALL(TARGETS rkward.rbackend DESTINATION ${LIBEXEC_INSTALL_DIR})
ENDIF(WIN32)

=== rkward/scriptbackends/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}    )


########### next target ###############

SET(scriptbackends_STAT_SRCS
   scriptbackend.cpp
   simplebackend.cpp
   qtscriptbackend.cpp
   qtscripti18n.cpp
   rkcomponentscripting.cpp
   )

ADD_LIBRARY(scriptbackends STATIC ${scriptbackends_STAT_SRCS})
TARGET_LINK_LIBRARIES(scriptbackends Qt5::Script Qt5::Widgets Qt5::Xml KF5::WidgetsAddons KF5::I18n)

########### install files ###############

INSTALL(FILES common.js rkcomponentscripting.js DESTINATION ${DATA_INSTALL_DIR}/rkward/phpfiles )



#original Makefile.am contents follow:

#INCLUDES = $(all_includes)
#METASOURCES = AUTO
#noinst_LIBRARIES =  libscriptbackends.a
#noinst_HEADERS =  phpbackend.h scriptbackend.h simplebackend.h
#libscriptbackends_a_SOURCES =  phpbackend.cpp scriptbackend.cpp simplebackend.cpp
#phpfilesdir = $(kde_datadir)/rkward/phpfiles
#phpfiles_DATA = common.php php.ini
#

=== rkward/syntax/CMakeLists.txt ===
IF(${KF5_VERSION} VERSION_GREATER "5.27.9")
    SET(SYNTAX_DEST ${DATA_INSTALL_DIR}/org.kde.syntax-highlighting/syntax/)
ELSE(${KF5_VERSION} VERSION_GREATER "5.27.9")
    SET(SYNTAX_DEST ${DATA_INSTALL_DIR}/katepart5/syntax/)
ENDIF(${KF5_VERSION} VERSION_GREATER "5.27.9")

INSTALL(FILES rkward.xml DESTINATION ${SYNTAX_DEST})

IF(NOT NO_R_XML)
	INSTALL(FILES r.xml DESTINATION ${SYNTAX_DEST})
ENDIF(NOT NO_R_XML)

=== rkward/rbackend/rkwarddevice/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${R_INCLUDEDIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}    )

SET (
	rkgraphicsdevice_backend_SRCS
	rkgraphicsdevice_backendtransmitter.cpp
	rkgraphicsdevice_setup.cpp
#	rkgraphicsdevice_stubs.cpp is included by rkgraphicsdevice_setup.cpp
)

SET (
	rkgraphicsdevice_frontend_SRCS
	rkgraphicsdevice_frontendtransmitter.cpp
	rkgraphicsdevice.cpp
)

ADD_LIBRARY(rkgraphicsdevice.frontend STATIC ${rkgraphicsdevice_frontend_SRCS})
TARGET_LINK_LIBRARIES(rkgraphicsdevice.frontend Qt5::Widgets Qt5::Core Qt5::Network KF5::CoreAddons KF5::WidgetsAddons KF5::I18n KF5::ConfigCore KF5::Parts)

ADD_LIBRARY(rkgraphicsdevice.backend STATIC ${rkgraphicsdevice_backend_SRCS})
TARGET_LINK_LIBRARIES(rkgraphicsdevice.backend Qt5::Core Qt5::Network)

=== rkward/rbackend/rpackages/rkward/DESCRIPTION ===
--- 
+++ 
@@ -19,7 +19,7 @@
     person(given="RKWard-devel", family="mailing list",
     email="rkward-devel@kde.org", role=c("cre","ctb")))
 Version: 0.7.0
-Date: 2018-04-13
+Date: 2018-04-16
 Collate:
     'base_overrides.R'
     'internal.R'

=== debian/changelog ===
rkward (0.7.0b-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:00 +0100

rkward (0.7.0b-2) unstable; urgency=medium

  * Add missing includes that cause FTBFS. Closes: 948939
  * Add upstream contact to debian/copyright
  * Adjust homepage url to use https:// instead of http://
  * Bump standards version to 4.4.1 (no changes needed)

 -- Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>  Fri, 17 Jan 2020 20:30:00 +0100

rkward (0.7.0b-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix shell error in debian/rules. Closes: #911710

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 28 Oct 2018 12:14:47 +0100

rkward (0.7.0b-1) unstable; urgency=low
  * New upstream release
    Includes missing translation files in rkward-data
  * Replace kdoctools-dev dependency with libkf5doctools-dev
    closes: #895875
  * Depend on r-api-3.5 when built against r-base-core >= 3.5.0
  * Do not depend on r-api-3.4 when built against r-base-core < 3.4.0
  * Remove explicit specification of C compiler
    closes: #900591

 -- Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>  Sat, 02 Jun 2018 09:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                debhelper (>= 11.0.0),
                libkf5webkit-dev,
                libkf5texteditor-dev,
-               kdoctools-dev,
+               libkf5doctools-dev,
                r-base-dev (>= 3.0.0)
-Standards-Version: 4.1.4
-Homepage: http://rkward.kde.org
+Standards-Version: 4.4.1
+Homepage: https://rkward.kde.org
 Vcs-Browser: https://cgit.kde.org/rkward.git/tree/debian-official
 Vcs-Git: https://anongit.kde.org/rkward.git

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,7 @@
 
 override_dh_auto_configure:
 	mkdir -p $(BUILDDIR)
-	# Some installations of R need a specific version of the compiler(s)
-	# R CMD config provides info on which compiler to use
-	CC="`/usr/bin/R CMD config CC`" \
-	CXX="`/usr/bin/R CMD config CXX`" \
-	F77="`/usr/bin/R CMD config F77`" \
+
 	dh_auto_configure '--buildsystem=kf5' --parallel -- \
 		-DR_EXECUTABLE=/usr/bin/R/ \
 		-DR_LIBDIR=/usr/lib/R/site-library/ \
@@ -48,9 +44,13 @@
 override_dh_shlibdeps:
 	dh_shlibdeps
 	# unfortunately, the r-base-core dependency can not be found by dh_shlibdeps, so we need to get at the version manually
-	# NOTE: This "if" is currently always true (see build-deps), but left here, for convenience, in case we get into trouble
-	# with binary incompatibility (esp. foward incompatibility) again, in the future.
-	@if [ "$(RMAJOR)" -eq "3" ] && [ "$(RMINOR)" -ge "0" ] ; then \
+	@if [ "$(RMAJOR)" -eq "3" ] && [ "$(RMINOR)" -ge "5" ] ; then \
 		echo "rvers=r-base-core (>= $(RVERS))" >> $(CURDIR)/debian/rkward.substvars ; \
+		echo "rapivers=r-api-3.5" >> $(CURDIR)/debian/rkward.substvars ; \
+	else \
+		if [ "$(RMAJOR)" -eq "3" ] && [ "$(RMINOR)" -ge "4" ] ; then \
+		echo "rvers=r-base-core (>= $(RVERS)), r-base-core (<< 3.5.0)" >> $(CURDIR)/debian/rkward.substvars ; \
 		echo "rapivers=r-api-3.4" >> $(CURDIR)/debian/rkward.substvars ; \
-	fi
+	else \
+		echo "rvers=r-base-core (>= $(RVERS)), r-base-core (<< 3.5.0)" >> $(CURDIR)/debian/rkward.substvars ; \
+	fi; fi

## rkward 0.7.1b

=== debian/changelog ===
rkward (0.7.1b-2) unstable; urgency=medium

  * Team upload.
  * Update the build dependencies according to the upstream build system:
    - drop the pkg-kf5-tools alternative, as it never existed
    - add the version required for cmake, and the KF5 packages
    - explicitly add gettext, libkf5config-dev, libkf5coreaddons-dev,
      libkf5crash-dev, libkf5i18n-dev, libkf5notifications-dev,
      libkf5parts-dev, libkf5xmlgui-dev, libkf5widgetsaddons-dev,
      libkf5windowsystem-dev, libqt5webkit5-dev, qtbase5-dev, and qtscript5-dev
  * Move the application desktop file, and the appdata XML file from
    rkward-data to rkward, as they must be together with the executable
    they refer to
    - add proper breaks/replaces
    - remove no more needed lintian override
  * Remove rkward-data.manpages, as the man page is already installed using
    dh_install.
  * Do not install the upstream TODO as documentation, as it is not useful for
    users.
  * Stop forcing debian/build as local build directory, as there is no need to
    have a fixed name; use the default one instead.
  * Use the kf5 dh addon for the build
    - remove the need for the manual dh_compress handling
  * Remove the CFLAGS/CXXFLAGS handling, as it is done by the cmake buildsystem
    in debhelper compatibility >= 9.
  * Stop passing --parallel to dh_auto_configure, as it is the default with
    debhelper compatibility >= 10.
  * Drop all the pre-Stretch replaces/breaks.
  * Pass -DNO_R_XML=1 to cmake to not install the r.xml highlight file for the
    syntax-highlighting framework, as the syntax-highlighting already provides
    it
    - drop the old removal hack (which got broken lately) for it

 -- Pino Toscano <pino@debian.org>  Fri, 19 Jun 2020 13:05:22 +0200

rkward (0.7.1b-1) unstable; urgency=medium

  * New upstream version.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 25 May 2020 21:02:54 +0200

rkward (0.7.1-2) unstable; urgency=medium

  * Update VCS fields to target the Debian KDE Extras Team namespace.
  * Rules-Requires-Root: no (routine-update)
  * Simplify dependency of the r-api-*

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 May 2020 00:03:57 +0200

rkward (0.7.1-1) unstable; urgency=medium

  * New upstream version.
  * Remove d/p/fix_includes.diff included upstream.
  * Switch Maintainer to Debian KDE Extras Team,
     add Thomas Friedrichsmeier and myself to Uploaders.
  * Add license of rkward/org.kde.rkward.appdata.xml in d/copyright.
  * Bump year to 2020 in d/changelog.
  * Remove trailing whitespace in d/changelog.
  * Switch to debhelper-compat (= 12).
  * Remove an unused override in rkward-data.
  * Bump standards version to 4.5.0 (no changes needed).
  * Remove the override about .Rdata and document it in d/README.source.
  * Fix broken links to documentation for dh_compress.
  * Remove DR_LIBDIR in dh_auto_configure, not used anymore.
  * Add debian/upstream/metadata.
  * Add debian/salsa-ci.yml.
  * Update VCS fields to salsa.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Apr 2020 14:43:17 +0200

=== debian/control ===
Source: rkward
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>,
           Dylan Aïssi <daissi@debian.org>
Section: math
Priority: optional
Build-Depends: cmake (>= 2.8.12~),
               extra-cmake-modules,
               gettext,
               pkg-kde-tools,
               debhelper-compat (= 12),
               libkf5config-dev (>= 5.4.0~),
               libkf5coreaddons-dev (>= 5.4.0~),
               libkf5crash-dev (>= 5.4.0~),
               libkf5doctools-dev (>= 5.4.0~),
               libkf5i18n-dev (>= 5.4.0~),
               libkf5notifications-dev (>= 5.4.0~),
               libkf5parts-dev (>= 5.4.0~),
               libkf5texteditor-dev (>= 5.4.0~),
               libkf5xmlgui-dev (>= 5.4.0~),
               libkf5webkit-dev (>= 5.4.0~),
               libkf5widgetsaddons-dev (>= 5.4.0~),
               libkf5windowsystem-dev (>= 5.4.0~),
               libqt5webkit5-dev (>= 5.2.0~),
               qtbase5-dev (>= 5.2.0~),
               qtscript5-dev (>= 5.2.0~),
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/rkward
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/rkward.git
Homepage: https://rkward.kde.org
Rules-Requires-Root: no

Package: rkward
Architecture: any
Depends: rkward-data (= ${source:Version}),
         ${misc:Depends},
         ${rvers},
         ${rapivers},
         ${shlibs:Depends}
Recommends: r-base-html
Breaks: rkward-data (<< 0.7.1b-2~)
Replaces: rkward-data (<< 0.7.1b-2~)
Description: KDE frontend to the R statistics language
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.

Package: rkward-data
Architecture: all
Depends: ${misc:Depends}
Recommends: rkward
Description: KDE frontend to the R statistics language - data files
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.
 .
 This package provides the architecture independent data files for rkward.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# We need to know the R version
RVERS = $(shell dpkg-query -W --showformat='$${Version}' r-base-core)
RAPI = $(shell dpkg-query -W --showformat='$${Provides}' r-base-core | grep -o 'r-api[^, ]*')

# easier typing
DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure '--buildsystem=kf5' -- \
		-DR_EXECUTABLE=/usr/bin/R/ \
		-DNO_R_XML=1 \
		-DCMAKE_SKIP_RPATH=YES \
		-DBUILD_TIMESTAMP="$(shell date --utc --date='@$(SOURCE_DATE_EPOCH)')"

override_dh_auto_install:
	dh_auto_install

	# remove unneeded R package files
	rm -vf $(DESTDIR)/usr/lib/R/site-library/R.css $(DESTDIR)/usr/lib/R/site-library/rkward/COPYING
	# remove x-test locale
	rm -rvf $(DESTDIR)/usr/share/rkward/po/x-test $(DESTDIR)/usr/share/locale/x-test

override_dh_shlibdeps:
	dh_shlibdeps
	echo "rvers=r-base-core (>= $(RVERS))" >> $(CURDIR)/debian/rkward.substvars ;
	echo "rapivers=$(RAPI)" >> $(CURDIR)/debian/rkward.substvars ;
